Events (Admin)

Update stage (Admin)

PUT/manage/events/:eventId/stages/:stageId

Update a stage. Requires the stagesWrite permission.

AuthLogin required

Path parameters

eventIdstringrequired

Event ID or slug.

stageIdstringrequired

Stage ID; must belong to the same event.

Request body

namestringoptional

Stage name (required); no length limit.

descriptionstringoptional

Description.

languagesLanguagesoptional

Localized name / description.

capacitynumberoptional

Capacity; an integer of 1 or more.

Response

Returns Stage.

Request
curl https://api.4s.link/manage/events/EVENT_ID/stages/STAGE_ID \
-X PUT \
-H "Authorization: Bearer 4s_at_..." \
-H "Content-Type: application/json" \
-d '{
"name": "Main Hall (A)",
"capacity": 320
}'
Example response
{
"id": "sg1a2b3c-...",
"name": "Main Hall",
"description": "...",
"capacity": 300,
"order": 0
}